%define gittag %(echo %version | cut -d. -f5)
Name:          basket
Version:       2.49.90.20230203git.ec30ce6a
Release:       2mamba
Summary:       BasKet note pads for KDE
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://invent.kde.org/utilities/basket
Source:        https://anongit.kde.org/basket.git/master@%{gittag}/basket-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libgcc
BuildRequires: libgit2-devel
BuildRequires: libkarchive-devel
BuildRequires: libkauth-devel
BuildRequires: libkcmutils-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libkfilemetadata-devel
BuildRequires: libkglobalaccel-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkio-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libknotifications-devel
BuildRequires: libkparts-devel
BuildRequires: libkservice-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libphonon-devel
BuildRequires: libsolid-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: libgit2-devel >= 1.7.1-1mamba
BuildRequires: gettext-devel
BuildRequires: xorg-proto-devel
BuildRequires: libxml2-utils

%description
This application provide as many baskets as you wish, and you can drag and drop various objects (text, URLs, images, sounds...) into its.
Objects can be edited, copied, dragged... So, you can arrange them as you want!

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name} --all-name --with-html

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_kde5_bindir}/basket
%{_datadir}/applications/org.kde.basket.desktop
%{_datadir}/metainfo/org.kde.basket.appdata.xml
%{_datadir}/kxmlgui5/basket/basketui.rc
%{_datadir}/mime/packages/basket.xml
%{_kde5_servicesdir}/basket*
%dir %{_kde5_datadir}/basket
%{_kde5_datadir}/basket/*
%{_libdir}/libLibBasket.so*
%{_libdir}/qt5/plugins/basketthumbcreator.so
%dir %{_libdir}/qt5/plugins/pim/kcms/basket
%{_libdir}/qt5/plugins/pim/kcms/basket/basket_config_*.so
%{_datadir}/icons/hicolor/*/apps/org.kde.basket.png
%{_datadir}/icons/hicolor/*/actions/*.png
%{_datadir}/icons/hicolor/*/apps/org.kde.basket.png
%{_datadir}/icons/hicolor/scalable/actions/*.svg*
%doc AUTHORS LICENSES

%changelog
* Tue Aug 22 2023 Automatic Build System <autodist@mambasoft.it> 2.49.90.20230203git.ec30ce6a-2mamba
- rebuilt by autoport with build requirements: libgit2-devel>=1.7.1-1mamba

* Sat Mar 25 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.49.90.20230203git.ec30ce6a-1mamba
- update to 2.49.90.20230203git.ec30ce6a

* Sat Nov 14 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.49b.29200319git-3mamba
- rebuilt by autoport with build requirements: libgit2-devel>=1.1.0-1mamba

* Sun Apr 26 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.49b.29200319git-2mamba
- rebuilt by autoport with build requirements: libgit2-devel>=1.0.0-1mamba

* Thu Mar 19 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.49b.29200319git-1mamba
- update to 2.49b.29200319git

* Thu Mar 19 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.49b-3mamba
- really update to 2.49-beta
- rebuilt with build requirements: libgit2-devel>=0.99.0-1mamba

* Tue Dec 03 2019 Automatic Build System <autodist@mambasoft.it> 2.49b-1mamba
- automatic version update by autodist

* Sat Apr 21 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.49a-2mamba
- rebuilt by autoport with build requirements: libgit2-devel>=0.27.0-1mamba

* Wed Mar 21 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.49a-1mamba
- update to 2.49a

* Fri Nov 28 2014 Automatic Build System <autodist@mambasoft.it> 2.10b-1mamba
- automatic update by autodist

* Mon May 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.90.git20090518-1mamba
- update to 1.90.git20090518

* Sat May 09 2009 Automatic Build System <autodist@mambasoft.it> 1.0.3.1-2mamba
- automatic rebuild by autodist

* Tue Jan 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3.1-1mamba
- update to 1.0.3.1

* Mon Dec 03 2007 Aleph0 <aleph0@openmamba.org> 1.0.2-2mamba
- new package mantainer

* Tue May 29 2007 Aleph0 <aleph0@openmamba.org> 1.0.2-1mamba
- update to 1.0.2

* Thu Mar 01 2007 Aleph0 <aleph0@openmamba.org> 1.0-1qilnx
- update to version 1.0 by autospec

* Tue Jan 02 2007 Aleph0 <aleph0@openmamba.org> 0.6.0-1qilnx
- package created by autospec
